Class | Generators::AllReferences
In: | rdoc/generators/html_generator.rb
Parent: | Object

Build a hash of all items that can be cross-referenced. This is used when we output required and included names: if the names appear in this hash, we can generate an html cross reference to the appropriate description. We also use this when parsing comment blocks: any decorated words matching an entry in this list are hyperlinked.

### Methods

[] add keys reset

### Public Class methods

[](name)

[Source]

    # File rdoc/generators/html_generator.rb, line 73
        def AllReferences.[](name)
          @@refs[name]
        end

add(name, html_class)

[Source]

    # File rdoc/generators/html_generator.rb, line 69
        def AllReferences.add(name, html_class)
          @@refs[name] = html_class
        end

keys()

[Source]

    # File rdoc/generators/html_generator.rb, line 77
        def AllReferences.keys
          @@refs.keys
        end

reset()

[Source]

    # File rdoc/generators/html_generator.rb, line 65
        def AllReferences::reset
          @@refs = {}
        end

[Validate]